Nux!


Home » Repos » Report a problem or request a package » Mumble on RHEL install issue
Mumble on RHEL install issue [message #1715] Wed, 19 March 2014 22:15 Go to next message
schotty is currently offline  schotty
Messages: 64
Registered: December 2012
Location: United States
Member
Having an issue here on one RHEL desktop that is being annoying and not letting me install Mumble client due to an error in libdns_sd.so.1 not being available. Now I have a few other RHEL desktop installs and Stella installs that worked fine when I installed them. Any tips as to what I am missing or what I may have done to jack this all up?

Thanks,
Andrew.
Re: Mumble on RHEL install issue [message #1716 is a reply to message #1715] Thu, 20 March 2014 11:00 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Hello schotty,

"yum provides */libdns_sd.so.1" says you need "avahi-compat-libdns_sd", do you have it installed?
Do you have a /usr/lib64/libdns_sd.so.1 ?

Try to paste here the exact output that you get from yum if it still doesn't want to work.
Re: Mumble on RHEL install issue [message #1717 is a reply to message #1716] Fri, 21 March 2014 17:54 Go to previous messageGo to next message
schotty is currently offline  schotty
Messages: 64
Registered: December 2012
Location: United States
Member
That package does not exist on RHEL6, only CentOS.

Here is my snippet of what I get on my system :
[andrew@macbook ~]$ sudo yum -y install mumble
[sudo] password for andrew: 
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
adobe-linux-i386                                                                                                                                       |  951 B     00:00     
atrpms                                                                                                                                                 | 3.5 kB     00:00     
atrpms/primary_db                                                                                                                                      | 1.6 MB     00:01     
elrepo                                                                                                                                                 | 2.9 kB     00:00     
epel/metalink                                                                                                                                          |  15 kB     00:00     
epel                                                                                                                                                   | 4.2 kB     00:00     
epel/primary_db                                                                                                                                        | 5.0 MB     00:02     
nux-dextop                                                                                                                                             | 2.7 kB     00:00     
nux-dextop/primary_db                                                                                                                                  | 846 kB     00:02     
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
rhel-i386-client-6                                                                                                                                     | 1.8 kB     00:00     
rpmfusion-free-updates                                                                                                                                 | 2.7 kB     00:00     
rpmfusion-free-updates/primary_db                                                                                                                      | 189 kB     00:00     
rpmfusion-nonfree-updates                                                                                                                              | 2.2 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mumble.i686 0:1.2.3-3.el6.nux will be installed
--> Processing Dependency: libdns_sd.so.1 for package: mumble-1.2.3-3.el6.nux.i686
--> Finished Dependency Resolution
Error: Package: mumble-1.2.3-3.el6.nux.i686 (nux-dextop)
           Requires: libdns_sd.so.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[andrew@macbook ~]$ yum whatprovides libdns_sd.so.1
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
*Note* Red Hat Network repositories are not listed below. You must run this command as root to access RHN repositories.
Repo rhel-6-desktop-rpms forced skip_if_unavailable=True due to: /etc/rhsm/ca/redhat-uep.pem
Repo rhel-6-desktop-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3637020714347004713-key.pem
Repo rhel-6-client-rhev-agent-rpms forced skip_if_unavailable=True due to: /etc/rhsm/ca/redhat-uep.pem
Repo rhel-6-client-rhev-agent-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/3637020714347004713-key.pem
adobe-linux-i386                                                                                                                                                          2/2
Warning: 3.0.x versions of yum would erroneously match against filenames.
 You can use "*/libdns_sd.so.1" and/or "*bin/libdns_sd.so.1" to get that behaviour
No Matches found
[andrew@macbook ~]$ sudo yum whatprovides libdns_sd.so.1
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
Warning: 3.0.x versions of yum would erroneously match against filenames.
 You can use "*/libdns_sd.so.1" and/or "*bin/libdns_sd.so.1" to get that behaviour
No Matches found
[andrew@macbook ~]$ sudo yum whatprovides */libdns_sd.so.1
\Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
adobe-linux-i386/filelists                                                                                                                             |  601 B     00:00     
atrpms/filelists_db                                                                                                                                    | 1.2 MB     00:01     
elrepo/filelists_db                                                                                                                                    | 100 kB     00:00     
epel/filelists_db                                                                                                                                      | 7.3 MB     00:04     
nux-dextop/filelists_db                                                                                                                                | 1.6 MB     00:03     
rhel-6-client-rhev-agent-rpms/filelists_db                                                                                                             |  12 kB     00:00     
rhel-6-desktop-rpms/filelists_db                                                                                                                       |  11 MB     00:06     
rhel-i386-client-6/filelists                                                                                                                           |  14 MB     00:09     
rpmfusion-free-updates/filelists_db                                                                                                                    | 130 kB     00:00     
rpmfusion-nonfree-updates/filelists_db                                                                                                                 | 172 kB     00:00     
No Matches found
[andrew@macbook ~]$ sudo yum whatprovides *bin/libdns_sd.so.1
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
No Matches found
[andrew@macbook ~]$ 


I was curious if I did something but perhaps not. Did the lady/gentleman that maintains the package get rid of a libdns package for a centos one? Just an idea.

Ill try grabbing the centos package and see what dep hell I run into. Maybe it wont be so bad.

Thanks,
Andrew.
Re: Mumble on RHEL install issue [message #1718 is a reply to message #1715] Fri, 21 March 2014 17:58 Go to previous messageGo to next message
schotty is currently offline  schotty
Messages: 64
Registered: December 2012
Location: United States
Member
Ok that did work. For reference here is what I did:

[andrew@macbook ~]$ sudo yum -y install http://mirror.centos.org/centos/6/os/i386/Packages/avahi-compat-libdns_sd-0.6.25-12.el6.i686.rpm
[sudo] password for andrew: 
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
Setting up Install Process
avahi-compat-libdns_sd-0.6.25-12.el6.i686.rpm                                                                                                          |  28 kB     00:00     
Examining /var/tmp/yum-root-QheKBZ/avahi-compat-libdns_sd-0.6.25-12.el6.i686.rpm: avahi-compat-libdns_sd-0.6.25-12.el6.i686
Marking /var/tmp/yum-root-QheKBZ/avahi-compat-libdns_sd-0.6.25-12.el6.i686.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package avahi-compat-libdns_sd.i686 0:0.6.25-12.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================
 Package                                    Arch                     Version                             Repository                                                      Size
==============================================================================================================================================================================
Installing:
 avahi-compat-libdns_sd                     i686                     0.6.25-12.el6                       /avahi-compat-libdns_sd-0.6.25-12.el6.i686                      31 k

Transaction Summary
==============================================================================================================================================================================
Install       1 Package(s)

Total size: 31 k
Installed size: 31 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : avahi-compat-libdns_sd-0.6.25-12.el6.i686                                                                                                                  1/1 
rhel-6-desktop-rpms/productid                                                                                                                          | 1.7 kB     00:00     
  Verifying  : avahi-compat-libdns_sd-0.6.25-12.el6.i686                                                                                                                  1/1 

Installed:
  avahi-compat-libdns_sd.i686 0:0.6.25-12.el6                                                                                                                                 

Complete!
[andrew@macbook ~]$ sudo yum -y install mumble               
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is receiving updates from Red Hat Subscription Management.
This system is receiving updates from RHN Classic or RHN Satellite.
rhel-6-client-rhev-agent-rpms                                                                                                                          | 3.1 kB     00:00     
rhel-6-desktop-rpms                                                                                                                                    | 3.7 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mumble.i686 0:1.2.3-3.el6.nux will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================
 Package                                Arch                                 Version                                         Repository                                  Size
==============================================================================================================================================================================
Installing:
 mumble                                 i686                                 1.2.3-3.el6.nux                                 nux-dextop                                 3.8 M

Transaction Summary
==============================================================================================================================================================================
Install       1 Package(s)

Total download size: 3.8 M
Installed size: 11 M
Downloading Packages:
mumble-1.2.3-3.el6.nux.i686.rpm                                                                                                                        | 3.8 MB     00:03     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : mumble-1.2.3-3.el6.nux.i686                                                                                                                                1/1 
  Verifying  : mumble-1.2.3-3.el6.nux.i686                                                                                                                                1/1 

Installed:
  mumble.i686 0:1.2.3-3.el6.nux                                                                                                                                               

Complete!
[andrew@macbook ~]$ 
Re: Mumble on RHEL install issue [message #1719 is a reply to message #1715] Fri, 21 March 2014 19:29 Go to previous message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

The command should be
yum provides */libdns_sd.so.1


But it looks like this package might not be included in the version of RHEL you have.
Previous Topic: Anki
Next Topic: Incorrect gpg key in rosa-media-player-plugin package
Goto Forum:
  


Current Time: Sun Aug 18 14:57:51 BST 2019

Total time taken to generate the page: 0.00883 seconds